Loading...
Searching...
No Matches
uhd::rfnoc::res_source_info Struct Reference

`#include <uhd/rfnoc/res_source_info.hpp>`

## Public Types

enum | source_t { USER , INPUT_EDGE , OUTPUT_EDGE , FRAMEWORK }

## Public Member Functions

| res_source_info ()=delete
| res_source_info (source_t source_type, size_t instance_=0)
bool | operator== (const res_source_info &rhs) const
bool | operator!= (const res_source_info &rhs) const
std::string | to_string () const
| Returns a string representation of the source.

## Static Public Member Functions

static source_t | invert_edge (const source_t edge_direction)

## Public Attributes

source_t | type
| The type of source (user or edge).
size_t | instance = 0
| The instance of the source. For resource that is sourced by a edge, it.

## Detailed Description

Describes the source of a particular resource (property or action)

## Member Enumeration Documentation

## source_t

enum uhd::rfnoc::res_source_info::source_t

Source type

Enumerator
USER | The user API sources this resource.
INPUT_EDGE | An input edge sources this resource.
OUTPUT_EDGE | An input edge sources this resource.
FRAMEWORK | This is a special resource, only accessed by the framework.

## Constructor & Destructor Documentation

## res_source_info() [1/2]

uhd::rfnoc::res_source_info::res_source_info | ( |  | ) |

delete

## res_source_info() [2/2]

uhd::rfnoc::res_source_info::res_source_info | ( | source_t | source_type,
|  | size_t | instance_ = 0 )

inline

## Member Function Documentation

## invert_edge()

source_t uhd::rfnoc::res_source_info::invert_edge | ( | const source_t | edge_direction | ) |

inline static

Convenience function to invert the type value if it's an edge.

- Will assert that the edge is actually either INPUT_EDGE or OUTPUT_EDGE
- Then, returns the opposite of what it was before

Exceptions

  uhd::assertion_error | if `edge_direction` is neither INPUT_EDGE nor OUTPUT_EDGE

## operator!=()

bool uhd::rfnoc::res_source_info::operator!= | ( | const res_source_info & | rhs | ) | const

inline

## operator==()

bool uhd::rfnoc::res_source_info::operator== | ( | const res_source_info & | rhs | ) | const

inline

## to_string()

std::string uhd::rfnoc::res_source_info::to_string | ( |  | ) | const

inline

Returns a string representation of the source.

## Member Data Documentation

## instance

size_t uhd::rfnoc::res_source_info::instance = 0

The instance of the source. For resource that is sourced by a edge, it.

## type

source_t uhd::rfnoc::res_source_info::type

The type of source (user or edge).

The documentation for this struct was generated from the following file:

- res_source_info.hpp